Open SCAP Library

Data Structures | Typedefs | Functions
inetlisteningservers.c File Reference

inetlisteningserver probe More...

`#include <stdlib.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <stdio_ext.h>`
`#include <errno.h>`
`#include <dirent.h>`
`#include <fcntl.h>`
`#include <netdb.h>`
`#include <arpa/inet.h>`
`#include <regex.h>`
`#include "seap.h"`
`#include "probe-api.h"`
`#include "probe/entcmp.h"`
`#include "alloc.h"`
`#include "common/debug_priv.h"`

## Data Structures
struct | server_info
struct | result_info
struct | _lnode
struct | llist

## Typedefs
typedef struct _lnode | lnode

## Functions
int | probe_main (probe_ctx *ctx, void *arg)

## Detailed Description

inetlisteningserver probe

Author
  "Steve Grubb" sgrub.nosp@m.b@re.nosp@m.dhat..nosp@m.com

2010/06/13 dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m This probe is able to process an inetlisteningserver_object as defined in OVAL 5.4 and 5.5.